Package org.flowable.engine.migration

# Class ActivityMigrationMapping

java.lang.Object
org.flowable.engine.migration.ActivityMigrationMapping

Direct Known Subclasses:
  `ActivityMigrationMapping.ManyToOneMapping`, `ActivityMigrationMapping.OneToManyMapping`, `ActivityMigrationMapping.OneToOneMapping`

public abstract class ActivityMigrationMapping extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ActivityMigrationMapping.ManyToOneMapping`
  `static class`
  `ActivityMigrationMapping.OneToManyMapping`
  `static class`
  `ActivityMigrationMapping.OneToOneMapping`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Integer`
  `callActivityProcessDefinitionVersion`
  `protected String`
  `fromCallActivityId`
  `protected String`
  `toCallActivityId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivityMigrationMapping()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActivityMigrationMapping.OneToOneMapping`
  `createMappingFor(String fromActivityId, String toActivityId)`
  `static ActivityMigrationMapping.OneToManyMapping`
  `createMappingFor(String fromActivityId, List<String> toActivityIds)`
  `static ActivityMigrationMapping.ManyToOneMapping`
  `createMappingFor(List<String> fromActivityIds, String toActivityId)`
  `Integer`
  `getCallActivityProcessDefinitionVersion()`
  `abstract List<String>`
  `getFromActivityIds()`
  `String`
  `getFromCallActivityId()`
  `abstract List<String>`
  `getToActivityIds()`
  `String`
  `getToCallActivityId()`
  `boolean`
  `isToCallActivity()`
  `boolean`
  `isToParentProcess()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### toCallActivityId

    protected String toCallActivityId

  - ### callActivityProcessDefinitionVersion

    protected Integer callActivityProcessDefinitionVersion

  - ### fromCallActivityId

    protected String fromCallActivityId

- ## Constructor Details

  - ### ActivityMigrationMapping

    public ActivityMigrationMapping()

- ## Method Details

  - ### getFromActivityIds

    public abstract List<String> getFromActivityIds()

  - ### getToActivityIds

    public abstract List<String> getToActivityIds()

  - ### isToParentProcess

    public boolean isToParentProcess()

  - ### isToCallActivity

    public boolean isToCallActivity()

  - ### getToCallActivityId

    public String getToCallActivityId()

  - ### getCallActivityProcessDefinitionVersion

    public Integer getCallActivityProcessDefinitionVersion()

  - ### getFromCallActivityId

    public String getFromCallActivityId()

  - ### createMappingFor

    public static ActivityMigrationMapping.OneToOneMapping createMappingFor(String fromActivityId, String toActivityId)

  - ### createMappingFor

    public static ActivityMigrationMapping.OneToManyMapping createMappingFor(String fromActivityId, List<String> toActivityIds)

  - ### createMappingFor

    public static ActivityMigrationMapping.ManyToOneMapping createMappingFor(List<String> fromActivityIds, String toActivityId)